# -*- coding: utf-8 -*-

class PercentPrinter:
    def __init__(self):
        self._percent = 0
    
    def show(self):
        num = self._percent
        string = "\r"
        string += "#" * num
        string += "-" * (100 - num)
        if num != 100:
            print(string,end='')
        else:
            print(string)
    
    @property
    def percent(self):
        return self._percent
    
    @percent.setter
    def percent(self,p):
        if p > 100:
            raise ValueError("Value Most Be Less Than 100 !")
        elif p < 0:
            raise ValueError("Value Most Be More Than 0 !")
        else:
            self._percent = p
    
    def increase(self,p=1):
        self._percent += p
        
    def finish(self):
        self._percent = 100
        
